Debian Bug report logs - #520576
ifupdown: support for enabling/disabling IPv6 privacy extension

version graph

Package: ifupdown; Maintainer for ifupdown is Andrew Shadura <andrewsh@debian.org>; Source for ifupdown is src:ifupdown.

Reported by: Darren Salt <linux@youmustbejoking.demon.co.uk>

Date: Sat, 21 Mar 2009 01:18:02 UTC

Severity: wishlist

Tags: ipv6, patch

Found in version ifupdown/0.6.8+nmu1

Fixed in version ifupdown/0.7~alpha4

Done: bugzilla@tut.by (Andrew O. Shadoura)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#520576; Package ifupdown. (Sat, 21 Mar 2009 01:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Darren Salt <linux@youmustbejoking.demon.co.uk>:
New Bug report received and forwarded. Copy sent to Anthony Towns <ajt@debian.org>. (Sat, 21 Mar 2009 01:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Darren Salt <linux@youmustbejoking.demon.co.uk>
To: submit@bugs.debian.org
Subject: ifupdown: support for enabling/disabling IPv6 privacy extension
Date: Sat, 21 Mar 2009 01:15:32 +0000
[Message part 1 (text/plain, inline)]
Package: ifupdown
Version: 0.6.8+nmu1
Severity: wishlist
Tags: patch

The attached patch (based on 0.7~alpha3) adds support for a "privext" option
for IPv6 static, manual & v4tunnel, taking an integer parameter exactly as
for the net.ipv6.conf.$INTERFACE.use_privaddr sysctl.

I've tested only manual (I'm using radvd). I find that the 'inet6'
configuration for a given interface must be before the corresponding 'inet'
configuration (if present) else the "privext" option won't take effect until
the interface is *next* brought up (based on brief testing by taking the
interface down then bringing it up again a second or so later). Not sure
where/how to document this...

-- 
| Darren Salt    | linux or ds at              | nr. Ashington, | Toon
| RISC OS, Linux | youmustbejoking,demon,co,uk | Northumberland | Army
| + Lobby friends, family, business, government.    WE'RE KILLING THE PLANET.

Watch carefully; the special effects are very expensive.

[ifupdown.diff (text/x-patch, attachment)]

Added tag(s) ipv6. Request was from Simon Paillard <simon.paillard@resel.enst-bretagne.fr> to control@bugs.debian.org. (Sat, 16 Jan 2010 19:48:22 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'wishlist' Request was from Clint Adams <schizo@debian.org> to control@bugs.debian.org. (Tue, 23 Mar 2010 01:03:44 GMT) Full text and rfc822 format available.

Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 07:51:28 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Tue, 23 Mar 2010 08:30:45 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#520576; Package ifupdown. (Fri, 26 Mar 2010 16:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <chammers@netcologne.de>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. (Fri, 26 Mar 2010 16:36:07 GMT) Full text and rfc822 format available.

Message #18 received at 520576@bugs.debian.org (full text, mbox):

From: Christian Hammers <chammers@netcologne.de>
To: <520576@bugs.debian.org>
Subject: Re: ifupdown: support for enabling/disabling IPv6 privacy extension
Date: Fri, 26 Mar 2010 17:33:02 +0100
Hello

There has been no reaction from the maintainers for a year now. Given that the
fix looks pretty small I wonder why it has not been applied. 

bye,

-christian-

-- 
NETCOLOGNE Gesellschaft für Telekommunikation mbH
Am Coloneum 9 | 50829 Köln
Tel: 0221 2222-8711 | Fax: 0221 2222-78711 

www.netcologne.de

Geschäftsführer:
Werner Hanf
Karl-Heinz Zankel
HRG 25580, AG Köln




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:21 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Andrew O. Shadoura <bugzilla@tut.by> to control@bugs.debian.org. (Wed, 20 Apr 2011 09:16:34 GMT) Full text and rfc822 format available.

Reply sent to bugzilla@tut.by (Andrew O. Shadoura):
You have taken responsibility. (Wed, 08 Jun 2011 12:52:24 GMT) Full text and rfc822 format available.

Notification sent to Darren Salt <linux@youmustbejoking.demon.co.uk>:
Bug acknowledged by developer. (Wed, 08 Jun 2011 12:52:25 GMT) Full text and rfc822 format available.

Message #27 received at 520576-close@bugs.debian.org (full text, mbox):

From: bugzilla@tut.by (Andrew O. Shadoura)
To: 520576-close@bugs.debian.org
Subject: Bug#520576: fixed in ifupdown 0.7~alpha4
Date: Wed, 08 Jun 2011 12:20:56 +0000
Source: ifupdown
Source-Version: 0.7~alpha4

We believe that the bug you reported is fixed in the latest version of
ifupdown, which is due to be installed in the Debian FTP archive:

ifupdown_0.7~alpha4.dsc
  to main/i/ifupdown/ifupdown_0.7~alpha4.dsc
ifupdown_0.7~alpha4.tar.gz
  to main/i/ifupdown/ifupdown_0.7~alpha4.tar.gz
ifupdown_0.7~alpha4_amd64.deb
  to main/i/ifupdown/ifupdown_0.7~alpha4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 520576@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew O. Shadoura <bugzilla@tut.by> (supplier of updated ifupdown package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Wed, 08 Jun 2011 12:10:14 +0300
Source: ifupdown
Binary: ifupdown
Architecture: source amd64
Version: 0.7~alpha4
Distribution: experimental
Urgency: low
Maintainer: Andrew O. Shadoura <bugzilla@tut.by>
Changed-By: Andrew O. Shadoura <bugzilla@tut.by>
Description: 
 ifupdown   - high level tools to configure network interfaces
Closes: 149395 158089 159884 196877 357929 384143 389996 408453 415285 417718 460276 471834 518924 520576 575110 584530 601705 604136 607713 610238
Changes: 
 ifupdown (0.7~alpha4) experimental; urgency=low
 .
   * New maintainer.
   * Removed VCS repository from the tarball (Closes: #417718).
   * Add source stanza (Closes: #159884, #149395, #471834).
   * Fix bashism in example script get-mac-address.sh (Closes: #518924).
   * Use DebSrc3.0 source format and dh7.
   * Add auto method for IPv6, fix static method (Closes: #604136).
   * Update URL for Debian Reference (Closes: #610238).
   * Fix typos in the man page (Closes: #384143, #415285).
   * Add GRE and IPIP tunnels support (Closes: #158089).
   * Fix inet/static pointopoint option (Closes: #460276).
   * Add support for enabling/disabling IPv6 privacy extension
     (Closes: #520576).
   * Move network state file to /run/network (Closes: #389996).
   * Fix init script dependencies (Closes: #607713, #601705).
   * Add MTU setting for v4tunnel (Closes: #408453, #575110).
   * Allow multiple interface definitions to ease work with multiple IP per
     interface.
   * Allow passing PPP options, pass updetach by default (Closes: #196877).
   * Add 6to4 tunnels support (Closes: #357929).
   * Add CAN interface support (Closes: #584530).
   * Drop 0.5.x migration script.
   * Drop dependency on net-tools; suggest it instead.
   * Bump Standards-Version to 3.9.2.
Checksums-Sha1: 
 9bec1b939c57b7aae09a8a4499c3066aaaaa19c2 797 ifupdown_0.7~alpha4.dsc
 c3224838c1989925bad1c836788337f8d9cf847f 89299 ifupdown_0.7~alpha4.tar.gz
 eb2502dc6efd215c320d4ea78c56669f5544148f 50234 ifupdown_0.7~alpha4_amd64.deb
Checksums-Sha256: 
 6f07fa02edd18666b7bb8bfea696575d95ff1bf3d17172c704ef9b419ae1047d 797 ifupdown_0.7~alpha4.dsc
 c524c9e187c73a2edc652f4349a064599447eca89e8ac253a7e4d9cdb796e481 89299 ifupdown_0.7~alpha4.tar.gz
 1d033c47bef1ebedd5b301ded455c73a654623b16784f5055cf035093734b205 50234 ifupdown_0.7~alpha4_amd64.deb
Files: 
 04f1dfcf3bf39033c8b7a736f3382b52 797 admin important ifupdown_0.7~alpha4.dsc
 a48e206dadfdb2f4c11cfcca995369f3 89299 admin important ifupdown_0.7~alpha4.tar.gz
 f2165f61e612e1572d3012f7c8fa7eec 50234 admin important ifupdown_0.7~alpha4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEAREDAAYFAk3vY5kACgkQVcFcaSW/uEhUSgCgz3bP6D/Ye/bSYiQWXX7QqwjI
604Ani6ozVwQF1Sr3bCZq2L0wga3CtV8
=bZeW
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#520576; Package ifupdown. (Mon, 05 Mar 2012 04:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Mon, 05 Mar 2012 04:42:07 GMT) Full text and rfc822 format available.

Message #32 received at 520576@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: 520576@bugs.debian.org, bugzilla@tut.by
Subject: documentation for privext in interfaces(5)
Date: Sun, 04 Mar 2012 23:41:27 -0500
i see in http://bugs.debian.org/520576 that we now have a privext option
in /etc/network/interfaces.

however, it's not documented in interfaces(5).  Could you add a line or
two about that option so people can find it?

thanks,

	--dkg




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#520576; Package ifupdown. (Mon, 05 Mar 2012 06:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Mon, 05 Mar 2012 06:27:03 GMT) Full text and rfc822 format available.

Message #37 received at 520576@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Daniel Kahn Gillmor <dkg@fifthhorseman.net>, 520576@bugs.debian.org
Subject: Re: Bug#520576: documentation for privext in interfaces(5)
Date: Mon, 5 Mar 2012 07:24:11 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Sun, 04 Mar 2012 23:41:27 -0500
Daniel Kahn Gillmor <dkg@fifthhorseman.net> wrote:

> i see in http://bugs.debian.org/520576 that we now have a privext
> option in /etc/network/interfaces.

> however, it's not documented in interfaces(5).  Could you add a line
> or two about that option so people can find it?

It is:

    privext int
        Privacy extensions (RFC3041) (0=off, 1=assign, 2=prefer)

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#520576; Package ifupdown. (Mon, 05 Mar 2012 06:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Kahn Gillmor <dkg@fifthhorseman.net>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Mon, 05 Mar 2012 06:33:05 GMT) Full text and rfc822 format available.

Message #42 received at 520576@bugs.debian.org (full text, mbox):

From: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
To: Andrew Shadura <bugzilla@tut.by>
Cc: 520576@bugs.debian.org
Subject: Re: Bug#520576: documentation for privext in interfaces(5)
Date: Mon, 05 Mar 2012 01:33:10 -0500
On 03/05/2012 01:24 AM, Andrew Shadura wrote:
> Hello,
> 
> On Sun, 04 Mar 2012 23:41:27 -0500
> Daniel Kahn Gillmor <dkg@fifthhorseman.net> wrote:
> 
>> i see in http://bugs.debian.org/520576 that we now have a privext
>> option in /etc/network/interfaces.
> 
>> however, it's not documented in interfaces(5).  Could you add a line
>> or two about that option so people can find it?
> 
> It is:
> 
>     privext int
>         Privacy extensions (RFC3041) (0=off, 1=assign, 2=prefer)


Ah, thanks.  I see this has been added to the man page in 0.7~beta2
(from experimental), but i'm still on 0.7~alpha5+really0.6.16 (from
sid).  I got confused by the numbering scheme and thought i should have
had it already.

I look forward to seeing this feature in unstable sometime soon :)

Regards,

	--dkg




Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:45:19 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:29 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 08:00:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:02:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.